# List chats

## Get a list of chats

> Supports filtering, sorting, and pagination via query string parameters.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5243-ga0bb7c09"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/helpdesk/chats":{"get":{"tags":["Chat"],"summary":"Get a list of chats","description":"Supports filtering, sorting, and pagination via query string parameters.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChatListResponse"}}}}}}}},"components":{"schemas":{"ChatListResponse":{"type":"object","properties":{"$meta":{"allOf":[{"$ref":"#/components/schemas/ListMetadata"}]},"data":{"type":"array","items":{"$ref":"#/components/schemas/Chat"}}},"additionalProperties":false},"ListMetadata":{"type":"object","properties":{"pagination":{"allOf":[{"$ref":"#/components/schemas/PaginationMetadata"}]},"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PaginationMetadata":{"type":"object","properties":{"offset":{"type":"integer","format":"int32"},"limit":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"Chat":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","description":"Gets or sets the description associated with the chat.","nullable":true},"type":{"allOf":[{"$ref":"#/components/schemas/ChatType"}],"description":"Represents the type of chat, indicating whether it is a direct message, group chat, channel, or support case."},"participants":{"type":"array","items":{"$ref":"#/components/schemas/ChatParticipantRef"},"description":"Represents the participants in the chat."},"lastMessage":{"type":"object","allOf":[{"$ref":"#/components/schemas/ChatMessageRef"}]},"attachments":{"type":"array","items":{"$ref":"#/components/schemas/ChatAttachmentRef"},"description":"Represents the attachments associated with the chat."}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"ChatType":{"enum":["Direct","Group","Channel","Case"],"type":"string"},"ChatParticipantRef":{"type":"object","properties":{"id":{"type":"string"},"revision":{"type":"integer","format":"int32"},"muted":{"type":"boolean","description":"Flag indicates whether participant should be notified of new messages in the chat."},"status":{"allOf":[{"$ref":"#/components/schemas/ParticipantStatus"}],"description":"Represents the status of the chat participant, indicating whether they are active, suspended, or exited."}},"additionalProperties":false},"ParticipantStatus":{"enum":["Active","Exited","Deactivated"],"type":"string"},"ChatMessageRef":{"type":"object","properties":{"id":{"type":"string"},"revision":{"type":"integer","format":"int32"},"content":{"type":"string","description":"Content of the chat message."},"visibility":{"allOf":[{"$ref":"#/components/schemas/MessageVisibility"}],"description":"Visibility of the chat message, indicating whether it is public or private."},"isDeleted":{"type":"boolean","description":"Set to true when the message should be considered deleted"}},"additionalProperties":false},"MessageVisibility":{"enum":["Public","Private"],"type":"string"},"ChatAttachmentRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"file":{"allOf":[{"$ref":"#/components/schemas/File"}],"description":"Represents the file this attachment belongs to."}},"additionalProperties":false},"File":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/FileType"}],"description":"Specifies the type of the file, such as attachment or icon"},"filename":{"type":"string","description":"Represents the name of the file associated with the attachment."},"size":{"type":"integer","description":"Indicates the size of the file in bytes.","format":"int64","nullable":true},"contentType":{"type":"string","description":"Represents the MIME type of the file content."}},"additionalProperties":false,"description":"Represents a file in the helpdesk module"},"FileType":{"enum":["Attachment","Icon","Image","Video"],"type":"string"}}}}
```
